import { FileStructureNode } from '../../types';
export interface Line {
    content: string;
    number: number;
}
export interface TFLineState {
    multiCommentLine: boolean;
    ignoredLine: boolean;
}
export interface MultiLinePhrase {
    phrase: string | null;
}
export declare enum TFLineTypes {
    TYPE_START = 1,
    TYPE_END = 2,
    TYPE_START_AND_END = 3,
    SUB_TYPE = 4,
    STRING = 5,
    MULTILINE_STRING = 6,
    ARRAY_START_AND_END = 7,
    ARRAY_START = 8,
    ARRAY_END = 9,
    OBJECT_START_AND_END = 10,
    OBJECT_START = 11,
    OBJECT_END = 12,
    FUNCTION_START_AND_END = 13,
    FUNCTION_START = 14,
    FUNCTION_END = 15,
    IGNORE = 99
}
export interface TFState {
    structure: FileStructureNode;
    type: TFLineTypes;
}
export declare const TerraformValidConfigurationTypes: string[];
