import { CloudConfigFileTypes, FileStructureNode, LineLocation, PathDetails } from '../types';
import { YamlNodeElement } from './yaml/types';
import { buildYamlTreeMap } from './yaml/parser';
import { buildJsonTreeMap } from './json/parser';
import { buildTfTreeMap } from './tf/parser';
export declare const buildTreeForTypeMap: {
    1: typeof buildYamlTreeMap;
    2: typeof buildJsonTreeMap;
    3: typeof buildTfTreeMap;
};
export declare function getPathDetails(path: string[], fileType: CloudConfigFileTypes): PathDetails;
export declare function removeInputPathPrefix(path: string[]): string[];
export declare function findLineNumberOfGivenPath(nodes: FileStructureNode[], pathDetails: PathDetails): number;
export declare function getLineLocationForYamlElement(nodeElement: YamlNodeElement): LineLocation;
